<?php

namespace Addons\HaoTeamEmail;

use Common\Controller\Addon;

/**
 * [好团队]邮件发送插件
 * @author Tiger
 */
class HaoTeamEmailAddon extends Addon {

    public $info = array(
        'name' => 'HaoTeamEmail',
        'title' => '[好团队]邮件发送',
        'description' => '不安装任何组件的邮件发送插件',
        'status' => 1,
        'author' => 'Tiger',
        'version' => '0.1'
    );
    public $admin_list = array(
        'model' => 'config', //要查的表
        'fields' => "*", //要查的字段
        'map' => array(
            'name' => array(
                'in',
                array(
                    0 => 'HaoTeamEmailName',
                    1 => 'HaoTeamEmailSmtpServer',
                    2 => 'HaoTeamEmailSmtpPort',
                    3 => 'HaoTeamEmailSmtpAuth',
                    4 => 'HaoTeamEmailSmtpUsername',
                    5 => 'HaoTeamEmailSmtpPassword'
                )
            )
        ), //查询条件, 如果需要可以再插件类的构造方法里动态重置这个属性
        'order' => 'id ASC', //排序,
    );
    public $custom_adminlist = 'adminlist.html';

    public function install() {
        $DB_PREFIX = C('DB_PREFIX');
        $sql = <<<INSERT
INSERT INTO `{$DB_PREFIX}config` (`id`, `name`, `type`, `title`, `group`, `extra`, `remark`, `create_time`, `update_time`, `status`, `value`, `sort`) VALUES
(null, 'HaoTeamEmailName', 1, '发信人邮件地址', 6, '', 'admin@haoteam.net', 1410491198, 1410491839, 1, '0', 1),
(null, 'HaoTeamEmailSmtpServer', 1, 'SMTP服务器', 6, '', '邮箱服务器名称[如：smtp.qq.com]', 1410491317, 1410937703, 1, 'smtp.qq.com', 2),
(null, 'HaoTeamEmailSmtpPort', 0, 'SMTP服务器端口', 6, '', '端口一般为25', 1410491384, 1410491384, 1, '25', 3),
(null, 'HaoTeamEmailSmtpAuth', 4, '是否验证', 6, '0:关闭,1:开启', '是否验证邮箱用户名密码', 1410491508, 1410941682, 1, '1', 4),
(null, 'HaoTeamEmailSmtpUsername', 1, 'SMTP验证用户名', 6, '', '完整的邮箱地址', 1410491656, 1410941695, 1, '', 5),
(null, 'HaoTeamEmailSmtpPassword', 1, 'STMP验证密码', 6, '', '邮箱登陆密码', 1410491698, 1410937656, 1, '', 6);
INSERT;
        D()->execute($sql);
        return true;
    }

    public function uninstall() {
        M('config')->where($this->admin_list['map'])->delete();
        return true;
    }

}
